import React from "react";
import { Vault } from "@hyperion-framework/vault";
interface YithContextStore {
    expanded: boolean;
    sequences: Array<any>;
    vault: Vault;
}
interface YithProviderProps {
    sequence: any;
    initialState?: YithContextStore;
    children: React.ReactNode;
}
declare const YithProvider: React.FC<YithProviderProps>;
declare function useYithState(): YithContextStore;
declare function useYithDispatch(): YithContextStore;
export { YithProvider, useYithState, useYithDispatch };
